{"swagger":"2.0","info":{"description":"This is a sample server for project 0\n[http://swagger.io](http://swagger.io) or on \n[irc.freenode.net, #swagger](http://swagger.io/irc/).\n","version":"1.0.0","title":"6Sum Project 0","termsOfService":"http://swagger.io/terms/","contact":{"email":"apiteam@swagger.io"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"tags":[{"name":"person","description":"Person information"},{"name":"address","description":"Address information"}],"paths":{"/people":{"get":{"tags":["person"],"summary":"Get person information","operationId":"getPersonInformation","produces":["application/json","application/xml"],"parameters":[{"name":"Person information","in":"query","description":"The specific person information that needs to be fetched. Use lastName for testing.","required":false,"type":"string"},{"name":"page_number","in":"query","type":"string","required":false,"description":"Opague token that specifies the page number of the list of Person. If not provided or NULL, start from the beginning."}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/PeopleArray"}}}},"post":{"tags":["person"],"summary":"Create a new person","operationId":"addPerson","consumes":["application/json","application/xml"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Person object","required":true,"schema":{"$ref":"#/definitions/Person"}}],"responses":{"200":{"description":"Resource created","schema":{"type":"object","properties":{"id":{"type":"integer"}}}}}}},"/people/{personId}":{"get":{"tags":["person"],"summary":"Get person by personId","operationId":"getPersonByPersonId","produces":["application/json","application/xml"],"parameters":[{"name":"personId","in":"path","description":"The personId that needs to be fetched. Use person1 for testing.","required":true,"type":"string"}],"responses":{"200":{"description":"Successful operation","schema":{"$ref":"#/definitions/Person"}}}},"put":{"tags":["person"],"summary":"Update person","description":"Update person information","operationId":"updatePerson","produces":["application/json","application/xml"],"parameters":[{"name":"personId","in":"path","description":"personId that need to be updated","required":true,"type":"string"},{"in":"body","name":"body","description":"Updated person object","required":true,"schema":{"$ref":"#/definitions/Person"}}],"responses":{"200":{"description":"Successful operation"}}},"delete":{"tags":["person"],"summary":"Delete person","description":"Delete person from database","operationId":"deletePerson","produces":["application/json","application/xml"],"parameters":[{"name":"personId","in":"path","description":"The personId that needs to be deleted","required":true,"type":"string"}],"responses":{"200":{"description":"Successful operation"}}}},"/people/{personId}/address":{"get":{"tags":["person"],"summary":"Get address by personId","operationId":"getAddressByPersonId","produces":["application/json","application/xml"],"parameters":[{"name":"personId","in":"path","description":"The personId that needs to be fetched. Use person1 for testing.","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/Address"}}}}},"/addresses":{"get":{"tags":["address"],"summary":"Find address","description":"Find all addresses","operationId":"findAddresses","produces":["application/json","application/xml"],"parameters":[{"name":"Address information","in":"query","description":"The address information that needs to be fetched. Use Broadway for testing.","required":false,"type":"string"},{"name":"next_token","in":"query","type":"string","required":false,"description":"Opague token that specifies where to start the next list of Address. If not provided or NULL, start from the beginning."}],"responses":{"200":{"description":"OK with message body","schema":{"$ref":"#/definitions/AddressesArray"}}}},"post":{"tags":["address"],"summary":"Add a new address to the database","operationId":"addAddress","consumes":["application/json","application/xml"],"produces":["application/json","application/xml"],"parameters":[{"in":"body","name":"body","description":"Address object that needs to be added to the store","required":true,"schema":{"$ref":"#/definitions/Address"}}],"responses":{"200":{"description":"OK with message body"}}}},"/addresses/{addressId}":{"get":{"tags":["address"],"summary":"Find address by ID","description":"Returns a single addres","operationId":"getAddressById","produces":["application/json","application/xml"],"parameters":[{"name":"addressId","in":"path","description":"Id of address that needs to get","required":true,"type":"string"}],"responses":{"200":{"description":"Successful operation","schema":{"$ref":"#/definitions/Address"}}}},"put":{"tags":["address"],"summary":"Update an address","operationId":"updateAddressWithForm","consumes":["application/json","application/xml"],"produces":["application/json","application/xml"],"parameters":[{"name":"addressId","in":"path","description":"ID of address that needs to be updated","required":true,"type":"string"}],"responses":{"204":{"description":"Operation complete"}}}},"/addresses/{addressId}/person":{"get":{"tags":["address"],"summary":"Get person by addressId","operationId":"getPersonByAddressId","produces":["application/json","application/xml"],"parameters":[{"name":"addressId","in":"path","description":"The addressId that needs to be fetched.","required":true,"type":"string"}],"responses":{"200":{"description":"Successful operation","schema":{"$ref":"#/definitions/Person"}}}}},"/company":{"get":{"tags":["company"],"summary":"Get company information","operationId":"getCompanyInformation","produces":["application/json","application/xml"],"parameters":[{"name":"Company information","in":"query","description":"The specific company information that needs to be fetched. Use lastName for testing.","required":false,"type":"string"},{"name":"page_number","in":"query","type":"string","required":false,"description":"Opague token that specifies the page number of the list of Company. If not provided or NULL, start from the beginning."}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/Company"}}}},"post":{"tags":["company"],"summary":"Post company information","operationId":"postCompanyInformation","produces":["application/json","application/xml"],"parameters":[{"in":"body","name":"body","description":"Company Object","required":true,"schema":{"$ref":"#/definitions/Company"}}],"responses":{"200":{"description":"successful operation"}}}}},"definitions":{"PeopleArray":{"type":"array","items":{"$ref":"#/definitions/Person"}},"CompanyArray":{"type":"array","items":{"$ref":"#/definitions/Company"}},"Company":{"type":"object","properties":{"name":{"type":"string"},"address":{"type":"object","$ref":"#/definitions/Address"},"contact":{"type":"object","$ref":"#/definitions/Person"}}},"Person":{"type":"object","properties":{"company":{"type":"string","maxLength":20},"lastName":{"type":"string","maxLength":10},"firstName":{"type":"string","maxLength":20},"emailAddress":{"type":"string","maxLength":32},"jobTitle":{"type":"string","maxLength":30},"businessPhone":{"type":"string","maxLength":24},"homePhone":{"type":"string","maxLength":24},"mobilePhone":{"type":"string","maxLength":24},"faxNumber":{"type":"string","maxLength":24},"addressId":{"type":"integer"},"addressLink":{"type":"string"}},"xml":{"name":"Person"}},"AddressesArray":{"type":"array","items":{"$ref":"#definitions/Address"}},"Address":{"type":"object","properties":{"address":{"type":"string","maxLength":128},"city":{"type":"string","maxLength":128},"stateProvince":{"type":"string","maxLength":24},"zipPostalCode":{"type":"string","maxLength":32},"countryRegion":{"type":"string","maxLength":128}},"xml":{"name":"Address"}}},"schemes":["https","http"],"basePath":"/prod/crm2","host":"14c6gpimid.execute-api.us-east-2.amazonaws.com"}